Bug 1569422 - ALPS0001:00 0911:5288 Touchpad does not work on Mediacom SB143 laptop
Summary: ALPS0001:00 0911:5288 Touchpad does not work on Mediacom SB143 laptop
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 09:21 UTC by Nenad Opsenica
Modified: 2019-11-27 23:35 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:35:04 UTC
Type: Bug


Attachments (Terms of Use)
dmesg (67.87 KB, text/plain)
2018-04-19 09:21 UTC, Nenad Opsenica
no flags Details
hid-recorder data (3.77 KB, text/plain)
2018-04-19 09:22 UTC, Nenad Opsenica
no flags Details
xorg data (60.51 KB, text/plain)
2018-04-19 09:22 UTC, Nenad Opsenica
no flags Details
/proc/bus/input/devices log (343 bytes, text/plain)
2019-05-10 20:10 UTC, Matt D.
no flags Details
journalctl log (8.58 KB, text/plain)
2019-05-10 20:10 UTC, Matt D.
no flags Details
touchpadFix (script) (281 bytes, text/plain)
2019-08-24 06:49 UTC, Matt D.
no flags Details
touchpadFix.service (systemd service) (172 bytes, text/plain)
2019-08-24 06:50 UTC, Matt D.
no flags Details

Description Nenad Opsenica 2018-04-19 09:21:29 UTC
Created attachment 1423964 [details]
dmesg

Description of problem:

Touchpad on Mediacom SB143 does not work, although it is enumerated.

Version-Release number of selected component (if applicable):


How reproducible:
Easily.

Steps to Reproduce:
1. Install FC28 on Mediacom SB143.
2. Enter X11

Actual results:

Touchpad does not work.

Expected results:

Touchpad working :).

Additional info:

Files with information in the attachments.

Comment 1 Nenad Opsenica 2018-04-19 09:22:07 UTC
Created attachment 1423967 [details]
hid-recorder data

Comment 2 Nenad Opsenica 2018-04-19 09:22:29 UTC
Created attachment 1423968 [details]
xorg data

Comment 3 David Franko 2018-05-10 23:01:13 UTC
Hi,
I saw that you mentioned in another bugreport, that this notebook also has an ALPS0001 touchpad in it.

Can you somehow try it with a really specific kernel? (4.14.0-rc7)

and create a file
/etc/modprobe.d/00_i2c_hid

with that in it
options i2c_hid debug=1

I have a Chuwi lapbook air with a same touchpad and on this kernel, the touchpad mostly works.

Touch movement, gestures (no left and right button, because it was fixed in later versions of the kernel ~4.15)

Comment 4 Nenad Opsenica 2018-05-11 05:59:31 UTC
I'll give it a try.
Do you, maybe, have a link to kernel's RPM?

Comment 5 David Franko 2018-05-11 06:16:14 UTC
I think this is
https://koji.fedoraproject.org/koji/buildinfo?buildID=994804

Comment 6 Nenad Opsenica 2018-05-12 14:50:36 UTC
Unfortunatell it still does not work with kernel 4.14.0-0.rc7.git4.1.fc28.x86_64

Comment 7 Nenad Opsenica 2018-10-15 19:01:54 UTC
Update: touchpad is fully functional when booted with this kernel: https://people.canonical.com/~khfeng/lp1728244-testing/

(one has to manually install it; "alien" package is helpfull to convert to .rpm but initrd must be created manually).

Comment 8 Hans de Goede 2018-10-15 20:37:35 UTC
This should be fixed in kernel 4.18.13 and newer, which is available for testing in updates-testing now, please give this kernel a try by running:

sudo dnf --enablerepo=updates-testing update 'kernel*'

Comment 9 Nenad Opsenica 2018-10-15 21:27:34 UTC
Unfortunatelly, it still does not work with 4.18.13-200.fc28.x86_64
Two and three finger taps are detected as button presses, but only sporadically. Cursor is not moving.

With Canonical's kernel touchpad works fully, although it looks like there is a mixup with two/three finger taps (the first time I booted it I was able to set two-finger tap as middle click, now it behaves as right click no matter what I set in MATE config panel).

Comment 10 Justin M. Forbes 2019-01-29 16:25:35 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 11 Nenad Opsenica 2019-02-19 13:50:31 UTC
> If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

Test done with recent Fedora 29 kernel, and touchpad still does not work.

This issue has been rebased to Fedora 29.

Comment 12 Matt D. 2019-05-10 20:09:29 UTC
I have a CHUWI LapBook Air 14.1 with the same problem. Installed and tested on both Fedora 29 and 30. The touchpad does not respond.

Interestingly, if I disable and re-enable it from the media key then it will work until I stop moving it. Then it will stop responding again.

I've attached logs from journalctl and /proc/bus/input/devices for this device.

Comment 13 Matt D. 2019-05-10 20:10:11 UTC
Created attachment 1566794 [details]
/proc/bus/input/devices log

Comment 14 Matt D. 2019-05-10 20:10:28 UTC
Created attachment 1566795 [details]
journalctl log

Comment 15 Justin M. Forbes 2019-08-20 17:42:47 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 16 Matt D. 2019-08-24 01:21:59 UTC
Still having this issue. Cannot use this touchpad with Fedora 30.

Comment 17 Matt D. 2019-08-24 06:48:13 UTC
I managed to find a workaround after referencing this thread on Stack Exchange:

https://unix.stackexchange.com/questions/512280/chuwi-lapbook-air-14-touchpad-recognized-but-not-fully-working

I've attached my version of the scripts to this report. I don't understand what the real issue is but this have solved it for me completely and the touchpad works great now; currently tested and working on Fedora 30 x86_64.

This is still only a workaround. To install Fedora with this touchpad present requires the use of an external mouse and the setup of the necessary scripts to get everything working.

Comment 18 Matt D. 2019-08-24 06:49:51 UTC
Created attachment 1607593 [details]
touchpadFix (script)

Comment 19 Matt D. 2019-08-24 06:50:35 UTC
Created attachment 1607594 [details]
touchpadFix.service (systemd service)

Comment 20 Nenad Opsenica 2019-10-22 07:40:37 UTC
Workarounds vreated by Matt D. have solved issue for me.

Comment 21 Ben Cotton 2019-10-31 18:44:41 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Ben Cotton 2019-11-27 23:35:04 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.